udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
mkudffs.c File Reference
`#include "config.h"`
`#include <malloc.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <time.h>`
`#include <sys/time.h>`
`#include <errno.h>`
`#include "mkudffs.h"`
`#include "file.h"`
`#include "defaults.h"`
Include dependency graph for mkudffs.c:

Go to the source code of this file.

## Functions
void | udf_init_disc (struct udf_disc *disc)
int | udf_set_version (struct udf_disc *disc, int udf_rev)
void | split_space (struct udf_disc *disc)
void | dump_space (struct udf_disc *disc)
int | write_disc (struct udf_disc *disc)
void | setup_vrs (struct udf_disc *disc)
void | setup_anchor (struct udf_disc *disc)
void | setup_partition (struct udf_disc *disc)
int | setup_space (struct udf_disc *disc, struct udf_extent *pspace, uint32_t offset)
int | setup_fileset (struct udf_disc *disc, struct udf_extent *pspace)
int | setup_root (struct udf_disc *disc, struct udf_extent *pspace)
void | setup_vds (struct udf_disc *disc)
void | setup_pvd (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, uint32_t offset)
void | setup_lvd (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, struct udf_extent *lvid, uint32_t offset)
void | setup_pd (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, uint32_t offset)
void | setup_usd (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, uint32_t offset)
void | setup_iuvd (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, uint32_t offset)
void | setup_td (struct udf_disc *disc, struct udf_extent *pvds, struct udf_extent *rvds, uint32_t offset)
void | setup_lvid (struct udf_disc *disc, struct udf_extent *lvid)
void | setup_stable (struct udf_disc *disc, struct udf_extent *stable[4], struct udf_extent *sspace)
void | setup_vat (struct udf_disc *disc, struct udf_extent *ext)
void | add_type1_partition (struct udf_disc *disc, uint16_t partitionNum)
void | add_type2_sparable_partition (struct udf_disc *disc, uint16_t partitionNum, uint8_t spartable, uint16_t packetlen)
struct sparablePartitionMap * | find_type2_sparable_partition (struct udf_disc *disc, uint16_t partitionNum)
void | add_type2_virtual_partition (struct udf_disc *disc, uint16_t partitionNum)

## Variables
char * | udf_space_type_str [UDF_SPACE_TYPE_SIZE] = { "RESERVED", "VRS", "ANCHOR", "PVDS", "RVDS", "LVID", "STABLE", "SSPACE", "PSPACE", "USPACE", "BAD" }

## Detailed Description

mkudffs support functions

Definition in file mkudffs.c.

## Function Documentation

void add_type1_partition | ( | struct udf_disc * | disc,
|  | uint16_t | partitionNum
| ) |  |

Definition at line 1019 of file mkudffs.c.

void add_type2_sparable_partition | ( | struct udf_disc * | disc,
|  | uint16_t | partitionNum,
|  | uint8_t | spartable,
|  | uint16_t | packetlen
| ) |  |

Definition at line 1052 of file mkudffs.c.

void add_type2_virtual_partition | ( | struct udf_disc * | disc,
|  | uint16_t | partitionNum
| ) |  |

Definition at line 1115 of file mkudffs.c.

void dump_space | ( | struct udf_disc * | disc | ) |

Definition at line 331 of file mkudffs.c.

struct sparablePartitionMap* find_type2_sparable_partition | ( | struct udf_disc * | disc,
|  | uint16_t | partitionNum
| ) |  |

Definition at line 1088 of file mkudffs.c.

void setup_anchor | ( | struct udf_disc * | disc | ) |

Definition at line 402 of file mkudffs.c.

int setup_fileset | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pspace
| ) |  |

Definition at line 611 of file mkudffs.c.

void setup_iuvd | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | uint32_t | offset
| ) |  |

Definition at line 893 of file mkudffs.c.

void setup_lvd | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | struct udf_extent * | lvid,
|  | uint32_t | offset
| ) |  |

Definition at line 815 of file mkudffs.c.

void setup_lvid | ( | struct udf_disc * | disc,
|  | struct udf_extent * | lvid
| ) |  |

Definition at line 925 of file mkudffs.c.

void setup_partition | ( | struct udf_disc * | disc | ) |

Definition at line 449 of file mkudffs.c.

void setup_pd | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | uint32_t | offset
| ) |  |

Definition at line 834 of file mkudffs.c.

void setup_pvd | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | uint32_t | offset
| ) |  |

Definition at line 800 of file mkudffs.c.

int setup_root | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pspace
| ) |  |

Definition at line 647 of file mkudffs.c.

int setup_space | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pspace,
|  | uint32_t | offset
| ) |  |

Definition at line 465 of file mkudffs.c.

void setup_stable | ( | struct udf_disc * | disc,
|  | struct udf_extent * | stable[4],
|  | struct udf_extent * | sspace
| ) |  |

Definition at line 948 of file mkudffs.c.

void setup_td | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | uint32_t | offset
| ) |  |

Definition at line 910 of file mkudffs.c.

void setup_usd | ( | struct udf_disc * | disc,
|  | struct udf_extent * | pvds,
|  | struct udf_extent * | rvds,
|  | uint32_t | offset
| ) |  |

Definition at line 864 of file mkudffs.c.

void setup_vat | ( | struct udf_disc * | disc,
|  | struct udf_extent * | ext
| ) |  |

Definition at line 982 of file mkudffs.c.

void setup_vds | ( | struct udf_disc * | disc | ) |

Definition at line 758 of file mkudffs.c.

void setup_vrs | ( | struct udf_disc * | disc | ) |

Definition at line 367 of file mkudffs.c.

void split_space | ( | struct udf_disc * | disc | ) |

Definition at line 198 of file mkudffs.c.

void udf_init_disc | ( | struct udf_disc * | disc | ) |

Definition at line 46 of file mkudffs.c.

int udf_set_version | ( | struct udf_disc * | disc,
|  | int | udf_rev
| ) |  |

Definition at line 152 of file mkudffs.c.

int write_disc | ( | struct udf_disc * | disc | ) |

Definition at line 351 of file mkudffs.c.

## Variable Documentation

char* udf_space_type_str[UDF_SPACE_TYPE_SIZE] = { "RESERVED", "VRS", "ANCHOR", "PVDS", "RVDS", "LVID", "STABLE", "SSPACE", "PSPACE", "USPACE", "BAD" }

Definition at line 1148 of file mkudffs.c.